#include "IoState.h"
#include "IoObject.h"

IoObject *IoDNS_proto(void *state);
IoObject *IoIPAddress_proto(void *state);
IoObject *IoUnixPath_proto(void *state);
IoObject *IoEvHttpServer_proto(void *state);
IoObject *IoEvOutResponse_proto(void *state);
IoObject *IoEventManager_proto(void *state);
IoObject *IoEvOutRequest_proto(void *state);
IoObject *IoEvent_proto(void *state);
IoObject *IoEvConnection_proto(void *state);
IoObject *IoSocket_proto(void *state);

void IoSocketInit(IoObject *context)
{
	IoState *self = IoObject_state((IoObject *)context);

	IoObject_setSlot_to_(context, SIOSYMBOL("DNS"), IoDNS_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("IPAddress"), IoIPAddress_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("UnixPath"), IoUnixPath_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("EvHttpServer"), IoEvHttpServer_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("EvOutResponse"), IoEvOutResponse_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("EventManager"), IoEventManager_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("EvOutRequest"), IoEvOutRequest_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("Event"), IoEvent_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("EvConnection"), IoEvConnection_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("Socket"), IoSocket_proto(self));

}
